
// Matt Streeter
// 2/27/00
// ESWINDOW.H
// Header for class TESWindow; base class for all TES... window classes.
// Copyright Matt Streeter, 2000.  All rights reserved

#ifndef __ESWINDOW_H__
#define __ESWINDOW_H__

#include <owl/framewin.h>

class TESWindow;

#include "esbutton.h"

class TESWindow: public TFrameWindow
{
  public:
	TESWindow(TWindow *pParent,char *pTitle);
	void EvChildMouseMove(uint modKeys,TPoint& point);

	static TColor mBackgroundColor;
	static TBrush mBackgroundFillBrush;
	static TColor mTextColor;

	DECLARE_RESPONSE_TABLE(TESWindow);

  protected:
	LPSTR GetClassName();
	void GetWindowClass(WNDCLASS& WndClass);
	void ChildrenIdleAction(long lIdleCount);
	HBRUSH EvCtlColor(HDC hDC, HWND /*hWndChild*/, UINT ctlType);
#if(USE_PRETTY_BUTTONS)
	void EvMouseMove(uint modKeys, TPoint& point);
#endif
};

#endif // __ESWINDOW_H__
