
// Matt Streeter
// 2/27/00
// IDS.H
// Header for common widget IDs used by various window classes.
// Copyright Matt Streeter, 2000.  All rights reserved

#ifndef __IDS_H__
#define __IDS_H__

enum NVisIDS {
	// ES Window
	ID_ES_BUTTON=201,
	ID_PROBLEM_BUTTON,
	ID_RUN_BUTTON,
	ID_PAUSE_BUTTON,
	ID_PLOT_BUTTON,
	ID_ES_STATIC,
	ID_GENERATION_BUTTON,
	ID_GENERATION_NUM_STATIC,
	ID_BEST_BUTTON,
	ID_BEST_SCORE_STATIC,
	ID_RESET_BUTTON,
	ID_PROBLEM_STATIC,
	ID_NETWORK_BUTTON,
	ID_NETWORK_STATIC,
   ID_MUTATION_STATIC,
   ID_MUTATION_SLIDER,
	// NVIS Window
	ID_SAMPLE_SCROLL,
	ID_SAMPLE_EDIT,
	ID_SAMPLE_STATIC,
	// Backprop Window
   ID_ITERATION_STATIC,
	ID_ITERATION_NUM_STATIC,
	ID_FITNESS_STATIC,
	ID_FITNESS_SCORE_STATIC,
	ID_BP_PAUSE_BUTTON,
   ID_BP_RESUME_BUTTON
};

#endif